package com.ruoyi.market.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.market.domain.MarketAdvertisingProbability;
import com.ruoyi.market.domain.vo.AdvertisingProbabilityQueryVo;

public interface MarketAdvertisingProbabilityService extends IService<MarketAdvertisingProbability> {
    boolean insertAdvertisingProbability(MarketAdvertisingProbability advertisingProbability);

    boolean updateAdvertisingProbability(MarketAdvertisingProbability advertisingProbability);

    boolean deleteAdvertisingProbability(MarketAdvertisingProbability advertisingProbability);

    Page<MarketAdvertisingProbability> advertisingProbabilityList(Page page, AdvertisingProbabilityQueryVo advertisingProbabilityQueryVo);
}
