package com.ruoyi.market.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.market.domain.MarketDrawActivity;
import com.ruoyi.market.domain.MarketDrawTemplate;
import com.ruoyi.market.domain.vo.DrawActivityQueryVo;
import com.ruoyi.market.domain.vo.DrawActivitySaveVo;
import com.ruoyi.market.domain.vo.DrawTemplateQueryVo;

public interface MarketDrawActivityService extends IService<MarketDrawActivity> {

    /**
     * 获取抽奖活动列表
     * @param page
     * @param drawActivityQueryVo
     * @return
     */
    Page<MarketDrawActivity> getDrawActivityPage(Page page, DrawActivityQueryVo drawActivityQueryVo);

    /**
     * 添加抽奖活动
     * @param drawActivitySaveVo
     * @return
     */
    boolean addDrawActivity(DrawActivitySaveVo drawActivitySaveVo);

    MarketDrawActivity getDrawActivityById(String drawActivityId);
}
