package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.market.domain.MarketDrawActivityProbability;
import com.ruoyi.market.domain.MarketDrawTemplate;
import com.ruoyi.market.domain.vo.DrawTemplateQueryVo;
import com.ruoyi.market.mapper.MarketDrawActivityProbabilityMapper;
import com.ruoyi.market.mapper.MarketDrawTemplateMapper;
import com.ruoyi.market.service.MarketDrawActivityProbabilityService;
import com.ruoyi.market.service.MarketDrawTemplateService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Objects;

@Service
public class MarketDrawActivityProbabilityServiceImpl extends ServiceImpl<MarketDrawActivityProbabilityMapper, MarketDrawActivityProbability>
        implements MarketDrawActivityProbabilityService {

    @Override
    public List<MarketDrawActivityProbability> getProbabilitysByDrawActivityId(String drawActivityId) {
        LambdaQueryWrapper<MarketDrawActivityProbability>  queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(MarketDrawActivityProbability::getDrawId,drawActivityId);
        return this.list(queryWrapper);
    }
}
