package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.utils.bean.BeanUtils;
import com.ruoyi.common.utils.idgen.IdGenerate;
import lombok.Data;


@Data
@TableName("market_advertising_library")
public class MarketAdvertisingLibrary {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    private String id;

    @TableField(value = "video_title")
    private String videoTitle;

    @TableField(value = "video_desc")
    private String videoDesc;

    @TableField(value = "video_url")
    private String videoUrl;

    @TableField(value = "video_cover")
    private String videoCover;

    @TableField(value = "video_company")
    private Long videoCompany;

    @TableField(value = "video_time_length")
    private Long videoTimeLength;

    @TableField(value = "video_jump_url")
    private String videoJumpUrl;

    public MarketAdvertisingLibrary(){

    }

    public MarketAdvertisingLibrary(MarketAdvertisingLibrary marketAdvertisingLibrary){
        BeanUtils.copyProperties(marketAdvertisingLibrary,this);
        this.id = IdGenerate.nextId();
    }
}
