package com.ruoyi.market.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

@Data
@TableName("market_draw_activity")
public class MarketDrawActivity {
    private String id;

    @ApiModelProperty("抽奖名称")
    private String name;

    @ApiModelProperty("抽奖描述")
    @TableField(value = "`desc`")
    private String desc;

    @ApiModelProperty("人天 限制抽奖次数")
    private String curtail;

    @ApiModelProperty("领奖方式")
    private String receiveType;

    @ApiModelProperty("生效日期")
    private String effectiveDate;

    @ApiModelProperty("失效日期")
    private String expiryDate;

    @ApiModelProperty("模板id")
    private String templateId;

    @TableField(exist = false)
    private List<MarketDrawActivityProbability> probabilitys;

}
