package com.ruoyi.market.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 抽奖模板对象 market_draw_template
 */
@Data
@TableName("market_draw_template")
public class MarketDrawTemplate {

    private String id;

    @ApiModelProperty("模版名称")
    private String templateName;

    @ApiModelProperty("模版描述")
    private String templateDesc;

    @ApiModelProperty("模版奖项数量")
    private String templateDrawNumber;

    @ApiModelProperty("模版小程序页面地址")
    private String templateAppletPage;

    @ApiModelProperty("模版小程序页面图片")
    private String templateDemoImg;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("创建人")
    private String createBy;

}
