package com.ruoyi.market.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.market.domain.MarketDrawActivity;
import com.ruoyi.market.domain.MarketDrawTemplate;
import com.ruoyi.market.domain.vo.DrawTemplateQueryVo;
import com.ruoyi.market.mapper.MarketDrawTemplateMapper;
import com.ruoyi.market.service.MarketAdvertisingService;
import com.ruoyi.market.service.MarketDrawTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Objects;

@Service
public class MarketDrawTemplateServiceImpl extends ServiceImpl<MarketDrawTemplateMapper, MarketDrawTemplate>
        implements MarketDrawTemplateService {



    @Override
    public Page<MarketDrawTemplate> getDrawTemplatePage(Page page, DrawTemplateQueryVo drawTemplateQueryVo) {
        LambdaQueryWrapper<MarketDrawTemplate> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(!Objects.isNull(drawTemplateQueryVo.getDrawName()), MarketDrawTemplate::getTemplateName, drawTemplateQueryVo.getDrawName());
        return this.page(page, queryWrapper);
    }

    /**
     * 删除抽奖模板
     * @param drawTemplateId
     * @return
     */
    @Override
    public boolean delDrawTemplate(String drawTemplateId) {
        MarketDrawTemplate byId = this.getById(drawTemplateId);
        return true;
    }
}
